/**
 * Proxy server configuration.
 */
declare class ProxyConfiguration {
    /**
     * Proxy type.
     */
    readonly type: ProxyType;
    /**
     * Proxy address. Can be either in the IP address format, ex. "1.1.1.1", or hostname, ex. "example.com".
     */
    readonly address: string;
    /**
     * Proxy port.
     */
    readonly port: number;
    username?: string;
    password?: string;
    constructor(
    /**
     * Proxy type.
     */
    type: ProxyType, 
    /**
     * Proxy address. Can be either in the IP address format, ex. "1.1.1.1", or hostname, ex. "example.com".
     */
    address: string, 
    /**
     * Proxy port.
     */
    port: number, 
    /**
     * Username for Basic authentication scheme.
     *
     * Note: "SOCKS + authentication" scheme is not supported.
     */
    username?: string, 
    /**
     * Password for Basic authentication scheme.
     */
    password?: string);
}
declare enum ProxyType {
    HTTP = "http",
    HTTPS = "https",
    SOCKS = "socks"
}
export { ProxyConfiguration, ProxyType };
//# sourceMappingURL=ProxyConfiguration.d.ts.map