import React from 'react';
import type { PropsWithChildren } from 'react';
import { DatadogProviderConfiguration } from '../../DdSdkReactNativeConfiguration';
import type { PartialInitializationConfiguration, AutoInstrumentationConfiguration } from '../../DdSdkReactNativeConfiguration';
import type { FileBasedConfiguration } from '../FileBasedConfiguration/FileBasedConfiguration';
type Props = PropsWithChildren<{
    /**
     * If a `DatadogProviderConfiguration` instance is passed, the SDK will start tracking errors, resources and actions and sending events.
     *
     * If a `AutoInstrumentationConfiguration` object is passed, the SDK will start tracking errors, resources and actions. To start sending events, call `DatadogProvider.initialize`.
     */
    configuration: DatadogProviderConfiguration | AutoInstrumentationConfiguration | FileBasedConfiguration;
    /**
     * Callback to be run once the SDK starts sending events.
     */
    onInitialization?: () => void;
}>;
type StaticProperties = {
    initialize: (configuration: PartialInitializationConfiguration) => Promise<void>;
    onInitialization?: () => void;
};
/**
 * Set up the Datadog React Native SDK.
 */
export declare const DatadogProvider: React.FC<Props> & StaticProperties;
export declare const __internalResetIsInitializedForTesting: () => void;
export {};
//# sourceMappingURL=DatadogProvider.d.ts.map